/* this css file is included to the main html by the SwaggerEnvironmentFilter */

/* these fonts are used by replacing "Source Code Pro" with "JetBrains Mono" in the SwaggerEnvironmentFilter */
@font-face {
    font-family: 'JetBrains Mono';
    font-style: normal;
    font-weight: 300;
    src: local('JetBrains Mono Regular'), local('JetBrainsMono-Regular'),
    url('./fonts/JetBrainsMono-Regular.woff2') format('woff2'), url('./fonts/JetBrainsMono-Regular.woff') format('woff');
}

@font-face {
    font-family: 'JetBrains Mono';
    font-style: normal;
    font-weight: 600;
    src: local('JetBrains Mono Medium'), local('JetBrainsMono-Medium'),
    url('./fonts/JetBrainsMono-Medium.woff2') format('woff2'), url('./fonts/JetBrainsMono-Medium.woff') format('woff');
}

/* this is the content of the top bar, we need to extend it, so that the environment info fits in */
.link {
    max-width: 500px !important;
}

/* smaller "header" (API name and basic documentation) */
.swagger-ui .info {
    margin-top: 20px !important;
    margin-bottom: 20px !important;
}

/* reduce the size of the API name */
.swagger-ui .info .title {
    font-size: 30px;
}

/* reduce the size of the API name */
.swagger-ui .info p {
    margin-top: 7px;
    margin-bottom: 7px;
}

/* reduce the height of each operation block, otherwise it consumes too much space */
.swagger-ui .opblock-tag {
    padding: 5px 20px 5px 5px !important;
}

/*adjust the operation description headings h2*/
.opblock-description h2 {
    padding: 2px 10px 2px !important;
    margin: 4px 0px 2px !important;
    font-size: 18px !important;
    background-color: #d1d1d1;
}

/*adjust the operation description headings h3*/
.opblock-description h3 {
    padding: 2px 5px 2px !important;
    margin: 4px 5px 2px !important;
    font-size: 16px !important;
    background-color: #eaeaea;
}

/*adjust the operation description headings table rows*/
.opblock-description tbody tr td {
    padding: 2px 1px 0 !important;
    font-size: 14px !important;
}

/*adjust the operation description unordered lists*/
.opblock-description ul li {
    padding: 2px 1px 0 !important;
    font-size: 14px !important;
}

/*adjust the operation description headings table headings*/
.opblock-description th {
    padding: 4px 2px 2px !important;
    font-size: 14px !important;
}

/*hide the api selector*/
.download-url-wrapper {
    visibility: hidden;
}

/*authorize button background fix*/
.swagger-ui .scheme-container {
    margin: 0 0 20px;
    padding: 30px 0;
    background: transparent;
    -webkit-box-shadow: 0 1px 2px 0 rgba(0, 0, 0, .15);
    box-shadow: 0 1px 2px 0 rgba(0, 0, 0, .15);
}

/* reduce the font size of the response */
.swagger-ui .highlight-code > .microlight {
    font-weight: 300;
}
